- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TTableStyle

    TComponent
       |
       --TStyle
          |
          --TTableStyle

TTableStyle class.

TTableStyle represents the CSS style specific for HTML table.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
void | addAttributesToRender ( THtmlWriter $writer) Adds attributes related to CSS styles to renderer.
void | copyFrom ( TStyle $style) Copies the fields in a new style to this style.
string | getBackImageUrl ()
boolean | getBorderCollapse ()
integer | getCellPadding ()
integer | getCellSpacing ()
TTableGridLines | getGridLines ()
THorizontalAlign | getHorizontalAlign ()
void | mergeWith ( TStyle $style) Merges the style with a new one.
void | reset () Sets the style attributes to default values.
void | setBackImageUrl ( string $value) Sets the URL of the background image for the table
void | setBorderCollapse ( boolean $value)
void | setCellPadding ( integer $value)
void | setCellSpacing ( integer $value)
void | setGridLines ( TTableGridLines $value) Sets the grid line style of the table.
void | setHorizontalAlign ( THorizontalAlign $value) Sets the horizontal alignment of the contents within the table.

Methods Inherited From TStyle

TStyle::addAttributesToRender(), TStyle::clearStyleField(), TStyle::copyFrom(), TStyle::getBackColor(), TStyle::getBorderColor(), TStyle::getBorderStyle(), TStyle::getBorderWidth(), TStyle::getCssClass(), TStyle::getCustomStyle(), TStyle::getDisplayStyle(), TStyle::getFont(), TStyle::getForeColor(), TStyle::getHeight(), TStyle::getStyleField(), TStyle::getStyleFields(), TStyle::getWidth(), TStyle::hasCssClass(), TStyle::hasFont(), TStyle::hasStyleField(), TStyle::mergeWith(), TStyle::reset(), TStyle::setBackColor(), TStyle::setBorderColor(), TStyle::setBorderStyle(), TStyle::setBorderWidth(), TStyle::setCssClass(), TStyle::setCustomStyle(), TStyle::setDisplayStyle(), TStyle::setForeColor(), TStyle::setHeight(), TStyle::setStyleField(), TStyle::setWidth(), TStyle::__clone()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## addAttributesToRender

public void addAttributesToRender | (THtmlWriter $writer )

Adds attributes related to CSS styles to renderer.

This method overrides the parent implementation.

Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception

## copyFrom

public void copyFrom | (TStyle $style )

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

Input
TStyle | $style | the new style
Output
Exception

## getBackImageUrl

public string getBackImageUrl | ()

Output
string | the URL of the background image for the table
Exception

## getBorderCollapse

public boolean getBorderCollapse | ()

Output
boolean | whether the table borders should be collapsed. Defaults to false.
Exception

## getCellPadding

public integer getCellPadding | ()

Output
integer | cellpadding of the table. Defaults to -1, meaning not set.
Exception

## getCellSpacing

public integer getCellSpacing | ()

Output
integer | cellspacing of the table. Defaults to -1, meaning not set.
Exception

## getGridLines

public TTableGridLines getGridLines | ()

Output
TTableGridLines | the grid line setting of the table. Defaults to TTableGridLines::None.
Exception

## getHorizontalAlign

public THorizontalAlign getHorizontalAlign | ()

Output
THorizontalAlign | the horizontal alignment of the contents within the table, defaults to THorizontalAlign::NotSet.
Exception

## mergeWith

public void mergeWith | (TStyle $style )

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

Input
TStyle | $style | the new style
Output
Exception

## reset

public void reset | ()

Sets the style attributes to default values.

This method overrides the parent implementation by resetting additional TTableStyle specific attributes.

Output
Exception

## setBackImageUrl

public void setBackImageUrl | (string $value )

Sets the URL of the background image for the table

Input
string | $value | the URL
Output
Exception

## setBorderCollapse

public void setBorderCollapse | (boolean $value )

Input
boolean | $value | whether the table borders should be collapsed.
Output
Exception

## setCellPadding

public void setCellPadding | (integer $value )

Input
integer | $value | cellpadding of the table. A value equal to -1 clears up the setting.
Output
Exception
throws | TInvalidDataValueException if the value is less than -1.

## setCellSpacing

public void setCellSpacing | (integer $value )

Input
integer | $value | cellspacing of the table. A value equal to -1 clears up the setting.
Output
Exception
throws | TInvalidDataValueException if the value is less than -1.

## setGridLines

public void setGridLines | (TTableGridLines $value )

Sets the grid line style of the table.

Input
TTableGridLines | $value | the grid line setting of the table
Output
Exception

## setHorizontalAlign

public void setHorizontalAlign | (THorizontalAlign $value )

Sets the horizontal alignment of the contents within the table.

Input
THorizontalAlign | $value | the horizontal alignment
Output
Exception